package com.yh.saas.plugin.yiliangyiyun.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.ContractManagementInfo;
import com.yh.saas.plugin.yiliangyiyun.entity.PurchaseOrder;
import com.yh.saas.plugin.yiliangyiyun.entity.PurchaseReceiptReport;
import com.baomidou.mybatisplus.service.IService;

import java.util.List;

/**
 * <p>
 * 采购入库报表 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-07-31
 */
public interface IPurchaseReceiptReportService extends IService<PurchaseReceiptReport> {

    /**
     * 采购入库统计列表
     * @param purchaseReceiptReport
     */
    Page<PurchaseReceiptReport> selectPurchaseOrder(PurchaseReceiptReport purchaseReceiptReport);

    /**
     * 编辑采购入库统计
     * @param purchaseReceiptReport
     */
    String editProcurementReceiptReport(PurchaseReceiptReport purchaseReceiptReport);

    /**
     * 补货结转
     * @param purchaseReceiptReport
     */
    String replenishment(PurchaseReceiptReport purchaseReceiptReport);
    /**
     * 出纳付款
     * @param purchaseReceiptReport
     */
    String payMoney(PurchaseReceiptReport purchaseReceiptReport);
    /**
     * 开发票
     * @param purchaseReceiptReport
     * @return
     */
    String openInvoice(PurchaseReceiptReport purchaseReceiptReport);
    /**
     * 批量开发票
     * @param purchaseReceiptReport
     */
    String openInvoiceList(PurchaseReceiptReport purchaseReceiptReport);

    /**
     * 审核采购入库报表
     * @param purchaseReceiptReport
     * @return
     */
    String examinePurchaseOrder(PurchaseReceiptReport purchaseReceiptReport);
    /**
     * 合同编号下拉列表
     *
     * @param compId
     */
    List<ContractManagementInfo> selectContractNoList(String compId);
    /**
     * 查采购订单表
     * @param purchaseReceiptReport
     */
    PurchaseOrder selectOrder(PurchaseReceiptReport purchaseReceiptReport);
    /**
     * 根据客户名查合同编号
     *
     * @param customerName
     */
    List<PurchaseReceiptReport> selectContractNo(String customerName,String contractNo);

    /**
     * 查看
     * @param
     */
    PurchaseReceiptReport getInfo(String id);
}
